MalformedCookieException (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.cookie.MalformedCookieException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.cookie
Class MalformedCookieException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.HttpException
                      org.apache.commons.httpclient.ProtocolException
                          org.apache.commons.httpclient.cookie.MalformedCookieException

All Implemented Interfaces:
  Serializable

    public class MalformedCookieException

extends ProtocolException

Signals that a cookie is in some way invalid or illegal in a given context

Since:
  2.0
Author:
  Oleg Kalnichevski
See Also:
  Serialized Form

Constructor Summary
`MalformedCookieException()` Creates a new MalformedCookieException with a `null` detail message.
`MalformedCookieException(String message)` Creates a new MalformedCookieException with a specified message string.
`MalformedCookieException(String message, Throwable cause)` Creates a new MalformedCookieException with the specified detail message and cause.

Method Summary

Methods inherited from class org.apache.commons.httpclient.HttpException
`getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedCookieException

    public MalformedCookieException()

  Creates a new MalformedCookieException with a `null` detail message.

### MalformedCookieException

    public MalformedCookieException(String message)

  Creates a new MalformedCookieException with a specified message string.

  Parameters:
    `message` - The exception detail message

### MalformedCookieException

    public MalformedCookieException(String message,
                                    Throwable cause)

  Creates a new MalformedCookieException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.